Maybe a Vista problem? Rated 5 out of 5 stars

I had the same incompatibility message. I ran Firefox as administrator and the IE Tab plugin installed

This review is for a previous version of the add-on (1.5.20080618).